Subject: bug#3858: 23.1.50; Git VC doesn't work over Tramp

From: Michael Albinus <[email-masked]>
Date: Wed, 15 Jul 2009 21:55:51 +0200

Ian Eure <[email-masked]> writes:

> Support for Git repositories over Tramp seems to be broken in recent
> CVS. If I open a Git-controlled file on a remote system, VC isn’t
> activated.
>
> I believe this used to work.
>
> When I open the remote file, vc-git is loaded. When I try to perform
> VC operations on the file, I get a "No fileset is available here"
> error from vc-deduce-fileset.

Could you, please, set `tramp-verbose' to 6, and rerun the test? The
resulting Tramp debug buffer shall show more information.

Best regards, Michael.